const WebpackBar = require("webpackbar");

module.exports = {
  productionSourceMap: false,
  publicPath: process.env.BASE_URL,
  chainWebpack: config => {
    config
      .plugin("html")
      .tap(args => {
        // NOTE 确定系统正式名称
        args[0].title = "SEEC门户系统";
        return args;
      });
  },
  css: {
    loaderOptions: {
      sass: {
        implementation: require("sass"),
      },
    },
  },
  configureWebpack: {
    devServer: {
      proxy: {
        "/api": {
          // target: "https://p-server.seec.seecoder.cn/api",
          target: "http://localhost:8080/api",
          pathRewrite: {
            "^/api": ""
          }
        }
      },
      port: 8000,
    },
    plugins: process.env.NODE_ENV === "development" ?
      [
        new WebpackBar(),
      ] : []
  },
};
